Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#4561 closed defect (fixed)

Fix build issue with qemu4 on Ubuntu

Reported by: Ryan Long Owned by: Ryan Long <ryan.long@…>
Priority: normal Milestone: 5.1
Component: tool/rsb Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

The following issue occurs when trying to build qemu4 on Ubuntu.

/usr/bin/ld: linux-user/syscall.o: in function `do_syscall1':
/mnt/sdb/rtems-work/rtems-source-builder/bare/build/qemu-4.1.0-x86_64-linux-gnu-1/qemu-4.1.0/linux-user/syscall.c:7660: undefined reference to `stime'

Change History (3)

comment:1 Changed on 12/03/21 at 18:54:45 by Ryan Long

This issue came up in the ROS port. It's been fixed, but we need to add in the patch. The issue and patch can be found here https://github.com/micro-ROS/micro_ros_setup/issues/397.

comment:2 Changed on 12/03/21 at 19:09:18 by Ryan Long

Milestone: 6.15.1
Version: 65

comment:3 Changed on 12/15/21 at 14:02:09 by Ryan Long <ryan.long@…>

Owner: set to Ryan Long <ryan.long@…>
Resolution: fixed
Status: newclosed

In [changeset:"2e98eecf864c513648982ee751585a1a6199bf18/rtems-source-builder" 2e98eec/rtems-source-builder]:

devel/qemu4: Add patches so qemu4 can build

These patches add patches that fix the build issues preventing qemu4
from building on Ubuntu.

Closes #4561

Note: See TracTickets for help on using tickets.